# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Block windows 11 upgrade proposal
    print("Block windows 11 upgrade proposal")
    registry_setstring(HKEY_LOCAL_MACHINE, r"SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate", "DisableOSUpgrade", 1, type=REG_DWORD)


def uninstall():
    # unblock windows 11 upgrade proposal
    print("Unblock windows 11 upgrade proposal")
    registry_setstring(HKEY_LOCAL_MACHINE, r"SOFTWARE\Policies\Microsoft\Windows\WindowsUpdate", "DisableOSUpgrade", 0, type=REG_DWORD)
